<?xml version="1.0" encoding="UTF-8" ?>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en"
      xmlns:f="http://typo3.org/ns/TYPO3/Fluid/ViewHelpers"
      f:schemaLocation="https://fluidtypo3.org/schemas/fluid-master.xsd">
<head>
    <title>Donate: Show</title>
</head>

<body>

<f:layout name="Default"/>

<f:section name="main">
    <div>
        <f:if condition="{error}">
            <f:then>
            <p>
                <f:for each="{errorMessages}" key="error_key" as="error_value">
                    <strong>{error_key}:</strong> {error_value}
                </f:for>
            </p>
            <p style="margin-top: 1em"><input type="button" class="button o-btn" value="Zurück" name="back_button" onClick="history.back()"></p>
            </f:then>
            <f:else>
            <f:form action="send" method="post" name="donate" id="paypal-donationform" class="o-form donation-form" additionalAttributes="{target:'{target}'}">
                <div class="donation-form__item">
                    <div class="o-form__item-group">
                    <p>
                        <strong>
                            Spenden Sie Ihren Wunschbetrag für Menschen in Not:
                        </strong>
                    </p>
                    <f:form.textfield class="donation-amount" name="amount" value="{amounts.0}" pattern="[0-9]+" data="{parsley-error-message: 'Bitte nur Zahlen eingeben.'}"/>
                    <label class="o-form__label" for="amount"></label>

                    <div class="o-button-select donation-form__amount">
                        <f:for as="d" each="{amounts}" iteration="i">
                            <button class="button button--primary donation-form__amount-button" value="{d}">{d} Euro</button>
                        </f:for>
                    </div>
                    </div>
                </div>
                <div class="donation-form__item">
                    <div class="o-form__item-group">
                            <f:form.submit id="sendform" name="aktion_sendform" value="{settings.donateText}"  class="button button--donate"/>
                    </div>
                </div>
            </f:form>
            </f:else>
        </f:if>
    </div>
</f:section>

<f:comment>if debug, show it</f:comment>
<f:section name="debug">
        <pre>
            <f:for each="{debug}" key="debug_key" as="debug_value">
                <strong>{debug_key}:</strong> {debug_value}
            </f:for>
        </pre>
</f:section>
</body>
</html>
